#import "JefferyflutterpackagetestPlugin.h"
#import "NSStringTest.h"

@implementation JefferyflutterpackagetestPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"jefferyflutterpackagetest"
            binaryMessenger:[registrar messenger]];
  JefferyflutterpackagetestPlugin* instance = [[JefferyflutterpackagetestPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"getNSStringTestInstance" isEqualToString:call.method]){
      NSStringTest *temp =  [[NSStringTest alloc]init];
      result([temp instanceFunctionTest]);
  } else if ([@"getNSStringTestClass" isEqualToString:call.method]){
        result([NSStringTest classFunctionTest]);
    }
  else {
    result(FlutterMethodNotImplemented);
  }
}

@end
